<template>
    <router-view></router-view>
</template>

<script lang="ts" setup>
onBeforeMount(() => {
    console.log('onBeforeMount')
})
onMounted(() => {
    console.log('onMounted')
})

onBeforeUnmount(() => {
    console.log('onBeforeUnmount')
})
onUnmounted(() => {
    console.log('onUnmounted')
})
let a = computed(() => {
    return 'aaa'
})

console.log(a)
</script>

<style scoped></style>
